util.settings

## Class ColorProperty

- java.lang.Object
- - util.settings.Property
  - - util.settings.ColorProperty

-     public final class ColorProperty
      extends Property

  This Property stores a Color

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorProperty(PropertyManager manager, java.lang.String key, java.awt.Color defaultvalue)` Creates the Color

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clearCache()`
    `java.awt.Color` | `getColor()` Returns the Color in this Property
    `java.awt.Color` | `getDefaultColor()` Returns the standard color in this Property
    `void` | `setColor(java.awt.Color color)` Sets the Color in this Property

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColorProperty

          public ColorProperty(PropertyManager manager,
                       java.lang.String key,
                       java.awt.Color defaultvalue)

      Creates the Color
      Parameters:
        `manager` - the Manager for this Property
        `key` - the Key
        `defaultvalue` - the Default Color

  - ### Method Detail

    - #### getDefaultColor

          public java.awt.Color getDefaultColor()

      Returns the standard color in this Property
      Returns:
        Color

    - #### getColor

          public java.awt.Color getColor()

      Returns the Color in this Property
      Returns:
        Color

    - #### setColor

          public void setColor(java.awt.Color color)

      Sets the Color in this Property
      Parameters:
        `color` - Color

    - #### clearCache

          protected void clearCache()

      Specified by:
        `clearCache` in class `Property`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)